package de.lmu.ifi.mfchords.utils;

import android.graphics.PointF;
import android.util.Log;

public class Finger{
	public String name;
	public PointF position;
	//public boolean active;
	public String pointerID;
	private PointF predictedPosition;
	
	Finger(String name, PointF position){
		this.name = name;
		this.position = position;
		this.predictedPosition = new PointF(0,0);
		//this.active = true;
	}
	
	void setPosition(PointF pos){
		position = pos;
	}

	public PointF getPredictedPosition() {
		return predictedPosition;
	}

	public void setPredictedPosition(PointF predictedPosition) {
		this.predictedPosition = predictedPosition;
	}
	
	
	public void reset(){
		this.position = new PointF(0,0);
		this.predictedPosition = new PointF(0,0);
	}
	
	public boolean isPositionSet(){
		if(position.x == 0&&position.y==0){
			return false;
		}
		return true;
	}
	
	public boolean isPredictedPositionSet(){
		if(predictedPosition.x == 0&&predictedPosition.y==0){
			return false;
		}
		return true;
	}
	
	public boolean isTouching(PointF p){
		
		//Log.v("myDebugTag", "diff  x" + Math.abs(p.x - this.predictedPosition.x) + " y " + Math.abs(p.y - this.predictedPosition.y));
		if(Math.abs(p.x - this.predictedPosition.x) < 100 && Math.abs(p.y - this.predictedPosition.y) < 100){
			this.position = p;
			return true;
		}
		return false;
	}
	
	public boolean isReleasing(PointF p){
		
		Log.v("myDebugTag", "releasing diff  x" + Math.abs(p.x - this.position.x) + " y " + Math.abs(p.y - this.position.y));
		if(Math.abs(p.x - this.position.x) < 20 || Math.abs(p.y - this.position.y) < 20){
			this.predictedPosition = this.position;
			this.position = new PointF(0,0);
			return true;
		}
		return false;
	}
	
	
}
